Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000716Core InformTablespublic2011-08-11 09:252014-05-07 07:34
Reportercapmikee 
Assigned Tograham 
PrioritynormalSeveritycriticalReproducibilityalways
StatusclosedResolutionfixed 
PlatformPPCOSMac OS XOS Version10.5
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000716: Continued empty table causes compiler crash
DescriptionIf a table is created with no rows given, and then later continued, the compiler crashes with error 10.
Minimal Source Text To Reproduce
Test is a room.

Table of Thoughts
item (object)   thought (text)

Table of Thoughts (continued)
item   thought
yourself   "I'm feeling very frustrated by a bug right now."
Additional InformationProgress report from IDE:

Launching: ni "-rules" "/Applications/Inform.app/Contents/Resources/Inform7/Extensions" "-package" "/Users/mike/i/tests/tmp.inform" "-extension=z5"
Inform 7 build 6G60 has started.
I've now read your source text, which is 27 words long.
++ 0% (Lexical analysis)
++ 5% (Semantic analysis)
I've also read Standard Rules by Graham Nelson, which is 39455 words long.

Compiler finished with code 10
TagsNo tags attached.
Effect(critical) Compiler crashes
Attached Files

- Relationships

-  Notes
(0001244)
EmacsUser (manager)
2011-08-13 13:55

Confirmed:

#0 0x00102029 in new_table ()
#1 0x0010223a in Data__Tables__traverse_to_create ()
#2 0x0012e668 in Config__Template__interpret ()
#3 0x001314bc in main ()
(0001337)
graham (administrator)
2011-10-08 07:34

Fixed. In fact (prior to crashing) Inform had issued a problem message at the first declaration:

Problem. The table Thoughts has no rows.

and this is now what it does (but without crashing). The ban on empty tables has been part of Inform's design from the earliest days; an empty table is like a pointer which can never safely be dereferenced; but I wonder if it ought to be allowed anyway to permit extensions to set up elaborate customisations. Still, that's another discussion.

- Issue History
Date Modified Username Field Change
2011-08-11 09:25 capmikee New Issue
2011-08-13 13:55 EmacsUser Note Added: 0001244
2011-08-13 13:55 EmacsUser Status new => confirmed
2011-08-13 14:00 EmacsUser Category Assertions and creations => Tables
2011-10-08 07:34 graham Note Added: 0001337
2011-10-08 07:34 graham Status confirmed => resolved
2011-10-08 07:34 graham Resolution open => fixed
2011-10-08 07:34 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker